<?php

$token = $_POST['token'];
$body = $_POST['body'];
$title = $_POST['title'];


require 'get-access-token.php';

$serviceAccountKeyFile = 'service-account-file.json';

$accessToken = getAccessToken($serviceAccountKeyFile);

$url = "https://fcm.googleapis.com/v1/projects/blood-donor-d52bc/messages:send";

$datamsg = array(
    'action' => 'Smart',
    'title' => $title,
    'body' => $body,
    'token' => $token
);
$arrayToSend = array('token' => $token, 'data' => $datamsg);

$json = json_encode(['message' => $arrayToSend]);


$headers = array();
$headers[] = 'Content-Type: application/json';
$headers[] = 'Authorization: Bearer ' . $accessToken;


$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$response = curl_exec($ch);

if ($response === FALSE) {
    die('FCM Send Error: ' . curl_error($ch));
}

curl_close($ch);

?>