<?php
header("Content-Type: application/json");
include 'db_config.php';

$response = array();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $conn = dbConnect();
    $data = json_decode(file_get_contents("php://input"));

    $sender_id   = $data->sender_id;
  
    // Retrieve the last message for each conversation with the sender
    $sql = "SELECT m.sender_id, m.receiver_id, m.message_text AS last_message, m.message_time AS last_message_time
            FROM messages m
            WHERE (m.sender_id = '$sender_id' OR m.receiver_id = '$sender_id')
            AND m.id = (SELECT MAX(id) FROM messages WHERE (sender_id = m.sender_id AND receiver_id = m.receiver_id) OR (sender_id = m.receiver_id AND receiver_id = m.sender_id))
            ORDER BY m.message_time DESC";

    $result = mysqli_query($conn, $sql);

    if (mysqli_num_rows($result) > 0) {
        $response["status"] = "success";
        $response["conversations"] = array();

        while ($row = mysqli_fetch_assoc($result)) {
            // For each conversation, get user details
            $conversation = array();
            $conversation["sender_id"] = $row["sender_id"];
            $conversation["receiver_id"] = $row["receiver_id"];
            $conversation["last_message"] = $row["last_message"];
            $conversation["last_message_time"] = $row["last_message_time"];

            // Optionally, you can retrieve user details for the sender and receiver here
            // For example: Getting receiver details from a `users` table
            $receiver_id = $row["receiver_id"];
            $user_sql = "SELECT name, image FROM register_user WHERE id = '$receiver_id'";
            $user_result = mysqli_query($conn, $user_sql);
            if ($user_row = mysqli_fetch_assoc($user_result)) {
                $conversation["receiver_name"] = $user_row["name"];
                $conversation["receiver_profile_picture"] = $user_row["image"];
            }

            array_push($response["conversations"], $conversation);
        }
    } else {
        $response["status"] = "empty";
        $response["message"] = "No conversations found";
    }
} else {
    $response["status"] = "error";
    $response["message"] = "Invalid Request Method";
}

echo json_encode($response);
?>