<?php
header("Content-Type: application/json");
include 'db_config.php';

$response = array();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $conn = dbConnect();

    $receiver_id = $_POST['receiver_id'];

    $sql = "SELECT sender_id, COUNT(*) as unread_count 
            FROM messages 
            WHERE receiver_id = '$receiver_id' AND is_read = 0 
            GROUP BY sender_id";

    $result = mysqli_query($conn, $sql);

    if (mysqli_num_rows($result) > 0) {
        $response["status"] = true;
        $response["data"] = array();

        while ($row = mysqli_fetch_assoc($result)) {
            $item = array();
            $item["sender_id"] = $row["sender_id"];
            $item["unread_count"] = $row["unread_count"];
            array_push($response["data"], $item);
        }
    } else {
        $response["status"] = true;
        $response["data"] = []; // No unread
    }

    mysqli_close($conn);
} else {
    $response["status"] = false;
    $response["message"] = "Invalid Request Method";
}

echo json_encode($response);
?>