<?php
header("Content-Type: application/json");
include 'db_config.php';

$response = array();

$conn = dbConnect();

// পেজ এবং লিমিট নির্ধারণ
$page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
$limit = isset($_GET['limit']) ? (int)$_GET['limit'] : 20;
$offset = ($page - 1) * $limit;

// Query with pagination
$sql = "SELECT * FROM posts ORDER BY id DESC LIMIT $limit OFFSET $offset";
$result = mysqli_query($conn, $sql);

if (mysqli_num_rows($result) > 0) {
    $response['status'] = "success";
    $response['posts'] = array();

    while ($row = mysqli_fetch_assoc($result)) {
        $post = array();
        $post['id'] = $row['id'];
        $post['uid'] = $row['uid'];
        $post['name'] = $row['name'];
        $post['text'] = $row['text']; // urldecode প্রয়োজন হলে করো
        $post['profile'] = $row['profile'];
        $post['time'] = $row['time'];
        $post['image_url'] = $row['image_url'];

        array_push($response['posts'], $post);
    }
} else {
    $response['status'] = "empty";
    $response['message'] = "No posts found";
}

echo json_encode($response);
?>