<?php
header("Content-Type: application/json");
include 'db_config.php';

$response = array();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  
    $conn = dbConnect();
    $data = json_decode(file_get_contents("php://input"));

    $sender_id   = $data->sender_id;
    $receiver_id = $data->receiver_id;

    // মেসেজ লোড
    $sql = "SELECT * FROM messages 
            WHERE (sender_id = '$sender_id' AND receiver_id = '$receiver_id') 
               OR (sender_id = '$receiver_id' AND receiver_id = '$sender_id')
            ORDER BY id ASC";

    $result = mysqli_query($conn, $sql);

    if (mysqli_num_rows($result) > 0) {
        $response["status"] = "success";
        $response["messages"] = array();

        while ($row = mysqli_fetch_assoc($result)) {
            $message = array();
            $message["id"] = $row["id"];
            $message["sender_id"] = $row["sender_id"];
            $message["receiver_id"] = $row["receiver_id"];
            $message["message_text"] = $row["message_text"];
            $message["image"] = $row["image_url"];
            $message["message_time"] = $row["message_time"];
             $message["status"] = $row["unread"];
           
            array_push($response["messages"], $message);
        }
    } else {
        $response["status"] = "empty";
        $response["messages"] = [];
    }
} else {
    $response["status"] = "error";
    $response["message"] = "Invalid Request Method";
}

echo json_encode($response);
?>