<?php
header("Content-Type: application/json");
include 'db_config.php'; 

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

    $conn = dbConnect();

    $phone = $_POST['phone'];
    $password = $_POST['password'];

    // SQL ইনজেকশন থেকে নিরাপদ করার জন্য Prepared Statement ব্যবহার করা উচিত
    $stmt = $conn->prepare("SELECT uid, name, phone, image FROM users  WHERE phone = ? AND password = ?");
    $stmt->bind_param("ss", $phone, $password);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $user = $result->fetch_assoc();
        $response = array(
            "status" => "VALID LOGIN",
            "uid" => $user['uid'],
            "name" => $user['name'],
            "phone" => $user['phone'],
            "image" => $user['image']
        );
        echo json_encode($response);
    } else {
        echo json_encode(array("status" => "Invalid Credentials"));
    }

    $stmt->close();
    mysqli_close($conn);

} else {
    echo json_encode(array("status" => "Invalid Request"));
}
?>